import request from '@/utils/request'

// 查询故障日志列表
export function listLog(query) {
  return request({
    url: '/breakdown/log/list',
    method: 'get',
    params: query
  })
}

// 查询故障日志详细
export function getLog(id) {
  return request({
    url: '/breakdown/log/' + id,
    method: 'get'
  })
}

// 新增故障日志
export function addLog(data) {
  return request({
    url: '/breakdown/log',
    method: 'post',
    data: data
  })
}

// 修改故障日志
export function updateLog(data) {
  return request({
    url: '/breakdown/log',
    method: 'put',
    data: data
  })
}

// 删除故障日志
export function delLog(id) {
  return request({
    url: '/breakdown/log/' + id,
    method: 'delete'
  })
}
